## lazy-object-proxy 1.2.1

=== docs/requirements.txt ===
sphinx
sphinxcontrib-napoleon
sphinx-py3doc-enhanced-theme
-e .

=== debian/changelog ===
lazy-object-proxy (1.2.1-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:42:35 +0000

lazy-object-proxy (1.2.1-1) unstable; urgency=low

  * Initial release (Closes: #806678)

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Nov 2015 23:49:34 +0000

=== debian/control ===
Source: lazy-object-proxy
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python-all, python-all-dev, python3-all, python3-all-dev, dh-python, python-setuptools, python3-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/ionelmc/python-lazy-object-proxy
Vcs-Git: git://anonscm.debian.org/python-modules/packages/lazy-object-proxy.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/lazy-object-proxy.git

Package: python-lazy-object-proxy
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Python fast and thorough lazy object proxy
 A lazy object proxy is an object that wraps a callable but defers the call
 until the object is actually required, and caches the result of said call.
 .
 These kinds of objects are useful in resolving various dependency issues, few
 examples:
 .
  * Objects that need to held circular references at each other, but at
    different stages. To instantiate object Foo you need an instance of Bar.
    Instance of Bar needs an instance of Foo in some of it methods (but not at
    construction).  Circular imports sound familiar?
 .
  * Performance sensitive code. You don't know ahead of time what you're going
    to use but you don't want to pay for allocating all the resources at the
    start as you usually need just few of them.
 .
 This package contains the Python 2 version of lazy-object-proxy .

Package: python3-lazy-object-proxy
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Description: Python 3 fast and thorough lazy object proxy
 A lazy object proxy is an object that wraps a callable but defers the call
 until the object is actually required, and caches the result of said call.
 .
 These kinds of objects are useful in resolving various dependency issues, few
 examples:
 .
  * Objects that need to held circular references at each other, but at
    different stages. To instantiate object Foo you need an instance of Bar.
    Instance of Bar needs an instance of Foo in some of it methods (but not at
    construction).  Circular imports sound familiar?
 .
  * Performance sensitive code. You don't know ahead of time what you're going
    to use but you don't want to pay for allocating all the resources at the
    start as you usually need just few of them.
 .
 This package contains the Python 3 version of lazy-object-proxy .

## lazy-object-proxy 1.2.2

=== debian/changelog ===
lazy-object-proxy (1.2.2-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
    - update for new upstream code
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Fri, 22 Apr 2016 21:04:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python-all, python-all-dev, python3-all, python3-all-dev, dh-python, python-setuptools, python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/ionelmc/python-lazy-object-proxy
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/lazy-object-proxy.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/lazy-object-proxy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/lazy-object-proxy.git
 
 Package: python-lazy-object-proxy

## lazy-object-proxy 1.3.1

=== debian/changelog ===
lazy-object-proxy (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.1.2 (no changes needed)
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Dec 2017 22:34:32 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python-all, python-all-dev, python3-all, python3-all-dev, dh-python, python-setuptools, python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: https://github.com/ionelmc/python-lazy-object-proxy
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/lazy-object-proxy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/lazy-object-proxy.git

=== debian/rules ===
#!/usr/bin/make -f

PY2VERS := $(shell pyversions -s)
PY3VERS := $(shell py3versions -s)

%:
	dh $@ --with python2,python3

override_dh_auto_install:
	set -e ; \
	for python in $(PY2VERS); do \
		$$python setup.py install --root=debian/python-lazy-object-proxy  --install-layout=deb; \
	done
	set -e ; \
	for python in $(PY3VERS); do \
		$$python setup.py install --root=debian/python3-lazy-object-proxy --install-layout=deb; \
	done

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

## lazy-object-proxy 1.4.3

=== debian/changelog ===
lazy-object-proxy (1.4.3-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:43:53 +0100

lazy-object-proxy (1.4.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * New upsteam release
  * debian/copyright
    - update upstream copyright info
  * debian/control
    - add python3-setuptools-scm to b-d

 -- Sandro Tosi <morph@debian.org>  Mon, 18 Nov 2019 21:19:58 -0500

lazy-object-proxy (1.3.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python 2 support
  * debian/control
    - bump Standards-Version to 4.4.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Aug 2019 21:41:48 -0400

=== debian/control ===
Source: lazy-object-proxy
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 9), python3-all, python3-all-dev, dh-python, python3-setuptools, python3-setuptools-scm
Standards-Version: 4.4.1
Homepage: https://github.com/ionelmc/python-lazy-object-proxy
Vcs-Git: https://salsa.debian.org/python-team/modules/lazy-object-proxy.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/lazy-object-proxy

Package: python3-lazy-object-proxy
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Description: Python 3 fast and thorough lazy object proxy
 A lazy object proxy is an object that wraps a callable but defers the call
 until the object is actually required, and caches the result of said call.
 .
 These kinds of objects are useful in resolving various dependency issues, few
 examples:
 .
  * Objects that need to held circular references at each other, but at
    different stages. To instantiate object Foo you need an instance of Bar.
    Instance of Bar needs an instance of Foo in some of it methods (but not at
    construction).  Circular imports sound familiar?
 .
  * Performance sensitive code. You don't know ahead of time what you're going
    to use but you don't want to pay for allocating all the resources at the
    start as you usually need just few of them.
 .
 This package contains the Python 3 version of lazy-object-proxy .

## lazy-object-proxy 1.5.1

=== debian/changelog ===
lazy-object-proxy (1.5.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * debian/control
    - set setuptools-scm as a versioned b-d as >= 4.1.2; Closes: #971354

 -- Sandro Tosi <morph@debian.org>  Sun, 01 Nov 2020 13:49:42 -0500

lazy-object-proxy (1.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jul 2020 23:57:12 -0400

lazy-object-proxy (1.5.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sandro Tosi ]
  * New upsteam release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - wrap-and-sort
    - bump compat level to 13

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jul 2020 01:41:52 -0400

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,23 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 9), python3-all, python3-all-dev, dh-python, python3-setuptools, python3-setuptools-scm
-Standards-Version: 4.4.1
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               python3-all,
+               python3-all-dev,
+               python3-setuptools,
+               python3-setuptools-scm (>= 4.1.2),
+Standards-Version: 4.5.0
 Homepage: https://github.com/ionelmc/python-lazy-object-proxy
-Vcs-Git: https://salsa.debian.org/python-team/modules/lazy-object-proxy.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/lazy-object-proxy
+Vcs-Git: https://salsa.debian.org/python-team/packages/lazy-object-proxy.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/lazy-object-proxy
 
 Package: python3-lazy-object-proxy
 Architecture: any
-Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
 Description: Python 3 fast and thorough lazy object proxy
  A lazy object proxy is an object that wraps a callable but defers the call
  until the object is actually required, and caches the result of said call.

## lazy-object-proxy 1.5.2

=== debian/changelog ===
lazy-object-proxy (1.5.2-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)
  * debian/patches/dont-use-setuptools-scm.patch
    - dont use setuptools scm; Closes: #978283

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Jan 2021 03:14:31 -0500

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-all-dev,
                python3-setuptools,
                python3-setuptools-scm (>= 4.1.2),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/ionelmc/python-lazy-object-proxy
 Vcs-Git: https://salsa.debian.org/python-team/packages/lazy-object-proxy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/lazy-object-proxy

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/lazy-object-proxy/lazy-object-proxy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## lazy-object-proxy 1.7.1

=== ci/requirements.txt ===
virtualenv>=20.4.7
pip>=19.1.1
setuptools>=18.0.1
six>=1.14.0

=== debian/changelog ===
lazy-object-proxy (1.7.1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:25:48 +0000

lazy-object-proxy (1.7.1-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/dont-use-setuptools-scm.patch
    - refresh patch
  * run tests at build-time
  * debian/tests
    - add autopkgtests
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/copyright
    - remove ci/appvveyor references, files removed upstream

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Dec 2021 02:05:38 -0500

lazy-object-proxy (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - track GitHub releases
  * debian/patches/dont-use-setuptools-scm.patch
    - refresh patch

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Oct 2021 23:55:15 -0400

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,12 @@
                dh-python,
                python3-all,
                python3-all-dev,
+               python3-django <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-benchmark <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm (>= 4.1.2),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/ionelmc/python-lazy-object-proxy
 Vcs-Git: https://salsa.debian.org/python-team/packages/lazy-object-proxy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/lazy-object-proxy

=== debian/rules ===
#!/usr/bin/make -f

PY3VERS := $(shell py3versions -s)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	set -e ; \
	for python in $(PY3VERS); do \
		$$python setup.py install --root=debian/python3-lazy-object-proxy --install-layout=deb; \
	done

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

## lazy-object-proxy 1.8.0

=== debian/changelog ===
lazy-object-proxy (1.8.0-2) unstable; urgency=medium

  * run autopkgtest via autopkgtest-pkg-pybuild

 -- Sandro Tosi <morph@debian.org>  Sat, 31 Dec 2022 15:24:47 -0500

lazy-object-proxy (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
  * debian/patches/PR62.patch
    - drop patch, merged upstream
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)
    - build using pyproject plugin
  * debian/rules
    - remove custom installation step, no longer necessary

 -- Sandro Tosi <morph@debian.org>  Fri, 30 Dec 2022 15:22:43 -0500

lazy-object-proxy (1.7.1-2) unstable; urgency=medium

  [ Julian Gilbey ]
  * Team upload
  * Build-Depends on python3-setuptools-scm to get correct Python version
    (Closes: #1005042)

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jun 2022 14:31:52 -0400

## lazy-object-proxy 1.9.0

=== debian/changelog ===
lazy-object-proxy (1.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2023 00:25:44 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-all-dev,
                python3-django <!nocheck>,
@@ -12,10 +12,11 @@
                python3-pytest-benchmark <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm (>= 4.1.2),
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2.0
 Homepage: https://github.com/ionelmc/python-lazy-object-proxy
 Vcs-Git: https://salsa.debian.org/python-team/packages/lazy-object-proxy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/lazy-object-proxy
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-lazy-object-proxy
 Architecture: any

## lazy-object-proxy 1.10.0

=== debian/changelog ===
lazy-object-proxy (1.10.0-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:50:06 +1100

lazy-object-proxy (1.10.0-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 01:49:33 -0500

lazy-object-proxy (1.10.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
    - Supports Python 3.12 (Closes: #1055570, 1058384)
  * Fully clean .egg-info, we aren't depending on SOURCES.txt (and aren't
    getting source from PyPI).

 -- Sandro Tosi <morph@debian.org>  Tue, 16 Jan 2024 01:18:12 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: lazy-object-proxy
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-all,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

execute_after_dh_clean:
	rm -f src/lazy_object_proxy/_version.py

## lazy-object-proxy 1.12.0

=== docs/requirements.txt ===
sphinx>=1.3
furo

=== debian/changelog ===
lazy-object-proxy (1.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fixed testing issues on Python 3.14 (closes: #1117892).

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 11:51:36 +0100

lazy-object-proxy (1.10.0-4) unstable; urgency=medium

  * Team Upload
  * Fix syntax error in Maintainer: field that confuses UDD & the Tracker
  * Use dh-sequence-python3
  * Set "Rules-Requires-Root: no"

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Dec 2024 17:05:47 +0100

lazy-object-proxy (1.10.0-3) unstable; urgency=medium

  * Adopt orphaned package. Closes: #1065238.
  * Standards-Version: 4.7.0 (routine-update)

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 07 Apr 2024 15:29:23 -0300

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

execute_after_dh_clean:
	rm -f src/lazy_object_proxy/_version.py

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%lazy-object-proxy-$1.tar.gz%" \
https://github.com/ionelmc/python-lazy-object-proxy/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
